import Handler from './Handler';
import { fabric } from 'fabric';
/**
 * 锁定画布元素操作
 */
declare class LockHandler {
    /** @ignore */
    handler: Handler;
    /** @ignore */
    constructor(handler: Handler);
    /**
     * 锁定当前元素
     * @param obj 需要锁定的元素
     */
    toLock(obj?: fabric.Object): any;
    /**
     * 解锁当前元素
     * @param obj 需要解锁的元素
     */
    unLock(obj?: fabric.Object): any;
    /**
     * 设置元素锁定值
     * @param type 锁定值
     * @param obj 当前设置的元素
     */
    private setLock;
    /**
     * 判断当前元素是否被锁定
     * @param obj 需要判定的元素
     * @returns 是或者否
     */
    isLock(obj?: fabric.Object): boolean;
}
export default LockHandler;
