import { fabric } from 'fabric';
interface IShadowImageControler {
    /**
     * 创建出的shadowImage
     * */
    shadowImage: fabric.Image;
    /**
     * 移除时需要清理副作用
     * */
    clearEffect(): void;
    /**
     * 手动触发从source对象上同步数据
     * */
    syncShadowImage(): void;
}
/**
 * 创建图片节点，用于显示裁剪区域外的部分
 * @param source 原始图片
 * @param redraw 当数据变化时，需要canvas重绘
 * @returns 创建结束后resolve的promise
 * */
export declare const createShadowImage: (source: fabric.Image, redraw: () => void) => Promise<IShadowImageControler>;
export {};
