import { IInitFabricObj } from '../../interface';
import { Layer } from 'ag-psd';
import ConverterCommon from './ConverterCommon';
declare class Converter {
    converterCommon: ConverterCommon;
    allLayer: Layer[];
    deleteLayerId: (number | string)[];
    constructor(allLayer: Layer[]);
    /**
     * 转换单层数据
     * @param layer 层级信息
     * @returns 转换后的结果
     */
    converterLayer(layer: Layer): IInitFabricObj | boolean;
    /**
     * 转换 bitmap layer
     * @param layer 层级信息
     * @returns 转换后的结果
     */
    private bitmap2Fabric;
    /**
     * 转换文本
     * @param layer 层级信息
     * @returns 转换后的结果
     */
    private text2Fabric;
    /**
     * 转换组
     * @param layer 层级信息
     * @returns 转换后的结果
     */
    private group2Fabric;
    /**
     * 转换矢量图形
     * @param layer 层级信息
     * @returns 转换后的结果
     */
    private vector2Fabric;
}
export default Converter;
